%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 9 Stream x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.9.1
%define REL 38
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 9 Stream x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}*.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Dec 20 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-38
* Release 1.9.1-38
	Kernel modules were added for the following kernels:
		5.14.0-391

* Wed Dec 06 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-37
* Release 1.9.1-37
	Kernel modules were added for the following kernels:
		5.14.0-390

* Wed Nov 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-36
* Release 1.9.1-36
	Kernel modules were added for the following kernels:
		5.14.0-388

* Wed Nov 22 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-35
* Release 1.9.1-35
	Kernel modules were added for the following kernels:
		5.14.0-386

* Wed Nov 15 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-34
* Release 1.9.1-34
	Kernel modules were added for the following kernels:
		5.14.0-383

* Wed Nov 08 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-33
* Release 1.9.1-33
	Kernel modules were added for the following kernels:
		5.14.0-381

* Wed Oct 25 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-32
* Release 1.9.1-32
	Kernel modules were added for the following kernels:
		5.14.0-378

* Wed Oct 18 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-31
* Release 1.9.1-31
	Kernel modules were added for the following kernels:
		5.14.0-375

* Wed Oct 11 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-30
* Release 1.9.1-30
	Kernel modules were added for the following kernels:
		5.14.0-372
		5.14.0-373

* Wed Oct 04 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-29
* Release 1.9.1-29
	Kernel modules were added for the following kernels:
		5.14.0-370

* Wed Sep 27 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-28
* Release 1.9.1-28
	Kernel modules were added for the following kernels:
		5.14.0-368

* Wed Sep 20 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-27
* Release 1.9.1-27
	Kernel modules were added for the following kernels:
		5.14.0-366

* Wed Sep 13 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-26
* Release 1.9.1-26
	Kernel modules were added for the following kernels:
		5.14.0-362
		5.14.0-364

* Wed Aug 30 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-25
* Release 1.9.1-25
	Kernel modules were added for the following kernels:
		5.14.0-361

* Wed Aug 23 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-24
* Release 1.9.1-24
	Kernel modules were added for the following kernels:
		5.14.0-354

* Wed Aug 16 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-23
* Release 1.9.1-23
	Kernel modules were added for the following kernels:
		5.14.0-352

* Wed Aug 09 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-22
* Release 1.9.1-22
	Kernel modules were added for the following kernels:
		5.14.0-347
		5.14.0-350

* Wed Aug 02 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-21
* Release 1.9.1-21
	Kernel modules were added for the following kernels:
		5.14.0-344

* Wed Jul 26 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-20
* Release 1.9.1-20
	Kernel modules were added for the following kernels:
		5.14.0-340

* Wed Jul 05 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-19
* Release 1.9.1-19
	Kernel modules were added for the following kernels:
		5.14.0-333

* Wed Jun 28 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-18
* Release 1.9.1-18
	Kernel modules were added for the following kernels:
		5.14.0-330
		5.14.0-331

* Wed Jun 14 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-17
* Release 1.9.1-17
	Kernel modules were added for the following kernels:
		5.14.0-325

* Wed Jun 07 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-16
* Release 1.9.1-16
	Kernel modules were added for the following kernels:
		5.14.0-319

* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.9.1-15
* Release 1.9.1-15
	Kernel modules were added for the following kernels:
		5.14.0-167
		5.14.0-168
		5.14.0-171
		5.14.0-174
		5.14.0-176
		5.14.0-177
		5.14.0-183
		5.14.0-191
		5.14.0-196
		5.14.0-197
		5.14.0-200
		5.14.0-202
		5.14.0-205
		5.14.0-206
		5.14.0-210
		5.14.0-214
		5.14.0-226
		5.14.0-229
		5.14.0-234
		5.14.0-239
		5.14.0-247
		5.14.0-252
		5.14.0-267
		5.14.0-274
		5.14.0-282
		5.14.0-283
		5.14.0-285
		5.14.0-289
		5.14.0-293
		5.14.0-295
		5.14.0-299
		5.14.0-302
		5.14.0-305
		5.14.0-307
		5.14.0-311
		5.14.0-312
		5.14.0-313
		5.14.0-315
		5.14.0-316

* Wed Sep 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-14
* Release 1.9.1-14
	Kernel modules were added for the following kernels:
		5.14.0-162
		5.14.0-163
		5.14.0-165

* Wed Sep  7 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-13
* Release 1.9.1-13
	Kernel modules were added for the following kernels:
		5.14.0-160

* Wed Aug 24 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-12
* Release 1.9.1-12
	Kernel modules were added for the following kernels:
		5.14.0-145
		5.14.0-148

* Wed Aug 10 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-11
* Release 1.9.1-11
	Kernel modules were added for the following kernels:
		5.14.0-142

* Wed Jul 27 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-10
* Release 1.9.1-10
	Kernel modules were added for the following kernels:
		5.14.0-134

* Wed Jul 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-9
* Release 1.9.1-9
	Kernel modules were added for the following kernels:
		5.14.0-127
		5.14.0-130

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-8
* Release 1.9.1-8
	Kernel modules were added for the following kernels:
		5.14.0-115
		5.14.0-118
		5.14.0-119
		5.14.0-120
		5.14.0-124

* Tue Jun 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-7
* Release 1.9.1-7
	Kernel modules were added for the following kernels:
		5.14.0-109

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-6
* Release 1.9.1-6
	Kernel modules were added for the following kernels:
		5.14.0-105

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-5
* Release 1.9.1-5
	Kernel modules were added for the following kernels:
		5.14.0-101

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-4
* Release 1.9.1-4
	Kernel modules were added for the following kernels:
		5.14.0-80
		5.14.0-83
		5.14.0-85
		5.14.0-86
		5.14.0-92
		5.14.0-96

* Wed Apr 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-3
* Release 1.9.1-3
	Kernel modules were added for the following kernels:
		5.14.0-77
		5.14.0-78

* Wed Apr  6 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-2
* Release 1.9.1-2
	Kernel modules were added for the following kernels:
		5.14.0-73
		5.14.0-74
		5.14.0-75

* Thu Mar 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-1
* Release 1.9.1-1
	Initial release. Kernel modules were added for the following kernels:
		5.14.0-16
		5.14.0-17
		5.14.0-48
		5.14.0-51
		5.14.0-52
		5.14.0-53
		5.14.0-55
		5.14.0-57
		5.14.0-58
		5.14.0-60
		5.14.0-62
		5.14.0-63
		5.14.0-65
		5.14.0-66
		5.14.0-70
		5.14.0-71
